g3tolj(1)

NAME
g3tolj - converts a Group 3 fax file into a printable HP-PCL file

SYNOPSIS
g3tolj [-kludge] [-reversebits] [-scale N] [-aspect N] [-resolution 75|100|150|300] [-compress 0|1|2] [-pagelength N] [-duplength N] [g3file]

DESCRIPTION
Reads a Group 3 fax file (raw or digifax) as input. If no filename is given, stdin is used. Produces a printable HP-PCL file as output.

OPTIONS

-kludge
    Tells g3tolj to skip the first lines for synchronisation.

-reversebits
    Tells g3tolj to interpret bits least-significant first, instead of the default most-significant first. Apparently some fax modems do it one way and others do it the other way. If you get a whole bunch of "invalid code" messages, try using this flag.

-scale N
    Scale the output to match the printer resolution and paper size, the default of 1.40 will do in most cases.

-aspect N
    Scale the output to match the printer resolution and paper size, the default of 1.0 will do for high resolution faxes, 2.0 will do for low resolution faxes.

-resolution 75|100|150|300
    Selects print resolution. The default is 300.

-compress 0|1|2
    Selects compression method for the print output. 0 = none, 1 = rll, 2 = tiff. The default is 0.

-pagelength N
    Defines the pagelength in inches, the default is 10.95. After this length a pagebreak is generated and the last part of the previous page is duplicated on the next page

-duplength N
    Defines the length in inches that will be duplicated after a pagebreak, The default is 0.7.

REFERENCES
The standard for Group 3 fax is defined in CCITT Recommendation T.4.

BUGS
Please report bugs to chel@vangennip.nl

SEE ALSO
pbmtog3(1), pbm(5), g3cat(1), sendfax(8), mgetty(1)

AUTHOR
g3tolj is Copyright (C) 1994 by Chel van Gennip, <chel@vangennip.nl>. Sources of g3topbm and pbmtolj programs in Jef Poskanzers pbmplus package have been used, but al lot of code has been changed or added to simplify its use for printing faxes. Value added: low use of memory, fast scaling, printing of long faxes with page breaks, print file compression (by John Watson)